## libstatgen 1.0.14

=== Makefile ===
VERSION ?= 1.0.14

.PHONY: package

SUBDIRS=general bam fastq glf samtools vcf

include Makefiles/Makefile.base


clean:$(SUBDIRS)
	rm -f $(STAT_GEN_LIB_OPT)
	rm -f $(STAT_GEN_LIB_DEBUG)
	rm -f $(STAT_GEN_LIB_PROFILE)

# general depends on samtools
general: samtools

# other subdirectories depend on general
bam fastq glf vcf: general

RELEASE_FILE?=libStatGen.$(VERSION).tgz

# Package the library.
package : 
# the touch gets rid of a tar warning
	touch $(RELEASE_FILE)
	tar chvz --exclude="*~" --exclude=$(RELEASE_FILE) --exclude='obj/*' --exclude='*.a'  --exclude='include/*' --exclude='bin/*' --exclude='test/results/*' --exclude-vcs -f $(RELEASE_FILE) --transform 's,^,libStatGen_$(VERSION)/,' * --show-transformed-names

=== general/Makefile ===
UNAME := $(shell uname)

ifeq ($(UNAME), Linux)
  # For Linux, add a couple extra warnings
  #
  # trying to strike the right balance on error/warning
  # handling is difficult, but here we make most everthing
  # an error, but allow unused results and variables for the
  # time being.
  #
  USER_WARNINGS ?= -Werror $(shell if [ X$(CCVERSION) \> X4.2.0 ] ; then echo " -Wno-strict-overflow" ; fi)
#-Wno-strict-overflow
# -Wno-unused-variable $(shell if [ X$(CCVERSION) \> X4.2.0 ] ; then echo " -Wno-unused-result" ; fi)
endif
ifeq ($(UNAME), Darwin)
  # Mac OS, nothing to add.
  # -Wall contain -Wunused-variable and -Wunused-result from 'man gcc'
endif

#USER_COMPILE_VARS = -D_NO_PHONEHOME

TOOLBASE=\
	BaseAsciiMap \
	BaseQualityHelper \
	BaseUtilities \
	BasicHash \
	BgzfFileType \
	BgzfFileTypeRecovery \
	CharBuffer \
	Chromosome \
	Cigar \
	CigarRoller \
	Error \
	ErrorHandler \
	FileType \
	FortranFormat \
	GenomeSequence \
	GenotypeLists \
	glfHandler \
	GzipFileType \
	GzipHeader \
	Hash \
	IndexBase \
	Input \
	InputFile \
	IntArray \
	IntHash \
	LongLongCounter \
	MapFunction \
	MathMatrix \
	MathVector \
	MemoryAllocators \
	MemoryInfo \
	MemoryMapArray \
	MemoryMap \
	MiniDeflate \
	NonOverlapRegions \
	Parameters \
	PedigreeAlleleFreq \
	Pedigree \
	PedigreeDescription \
	PedigreeFamily \
	PedigreeGlobals \
	PedigreePerson \
	PhoneHome \
	QuickIndex \
	Random \
	ReferenceSequence \
	SmithWaterman \
	Sort \
	STLUtilities \
	StatGenStatus \
	StringAlias \
	StringArray \
	StringBasics \
	StringHash \
	StringMap \
	Tabix \
	UncompressedFileType

SRCONLY=\
	PedigreeLoader.cpp \
	PedigreeTrim.cpp \
	PedigreeTwin.cpp 

HDRONLY= \
	Constant.h \
	CSG_MD5.h \
	Generic.h \
	GenomeSequenceHelpers.h \
	GreedyTupleAligner.h \
	InplaceMerge.h \
	LongHash.h \
	LongInt.h \
	MathConstant.h \
	PackedVector.h \
	PedigreeAlleles.h \
	Performance.h \
	ReusableVector.h \
	SimpleStats.h \
	TrimSequence.h \
	UnitTest.h

include ../Makefiles/Makefile.lib


CPP_TESTS := $(shell grep -l 'if defined(TEST)' *cpp)
selftest: 
	@for i in $(CPP_TESTS); do \
		if [ "XXX$$i" = XXX ] ;\
		then \
		    continue; \
		fi;\
		(echo "building in self test $$i"; g++ -DTEST -D__STDC_LIMIT_MACROS -o test_$$i $$i  -L. -lcsg -lm -lz -lssl ; ./test_$$i) ; \
		if [ $$? -ne 0 ] ; \
		then \
		    echo "make stopped because of errors." ; \
		    break ; \
		fi \
	done

=== fastq/test/Makefile ===
TEST_COMMAND = mkdir -p results; ./FastQValidatorTest.sh
EXE=fastqTest
SRCONLY = FastQFileTest.cpp

include ../../Makefiles/Makefile.test

=== general/test/Makefile ===

include ../../Makefiles/Makefile.include

.DEFAULT_GOAL := all

SUBDIRS=inputFileTest cigar string memoryMapArrayTest packedVectorTest referenceSequenceTest nonOverlapRegions baseUtilitiesTest trimSequence reusableVector

OPTFLAG?=-O0

.PHONY: $(SUBDIRS) all test clean

all: TARGET = all
test: TARGET = test
clean: TARGET = clean

all test: $(SUBDIRS)

clean: $(SUBDIRS)
	# clean current directory
	rm -f *.o *~
	rm -f phiX-bs.umfa phiX-cs.umfa gtest

$(SUBDIRS):
	@$(MAKE) OPTFLAG="$(OPTFLAG)" -C $@ $(TARGET)

######################################################################

GTEST_COMPILE_FLAG=-DGTEST_HAS_TR1_TUPLE=0 -D GTEST_HAS_RTTI=0

LIBRARY=$(REQ_LIBS)

.c.o :
	$(CXX) $(CFLAGS) $(GTEST_COMPILE_FLAG) -o $@ -c $*.c -DVERSION=\""$(VERSION)\"" -DDATE="\"${DATE}\"" -DNODE="\"${NODE}\"" -DUSER="\"${USER}\"" -I$(GTEST_INC)

.cpp.o : 
	$(CXX) $(CFLAGS) $(GTEST_COMPILE_FLAG) -o $@ -c $*.cpp -DVERSION="\"$(VERSION)\"" -DDATE="\"${DATE}\"" -DNODE="\"${NODE}\"" -DUSER="\"${USER}\"" -I$(GTEST_INC)

# Google test part
GTEST_ROOT=../../../gtest-1.5.0
GTEST_INC = $(GTEST_ROOT)/include
GTEST_SRC = $(GTEST_ROOT)/src/gtest-all.cc
GTEST_OBJ = $(GTEST_ROOT)/gtest-all.o

$(GTEST_OBJ): $(GTEST_SRC)
	g++ -c -o $@ $< -I$(GTEST_INC) -I$(GTEST_ROOT)

#TOOLTEST=$(TOOLBASE:=_test)
TOOLTEST=gtest TrimSequence_test GreedyTupleAligner_test STLUtilities_test GenomeSequence_test Chromosome_test
TOOLTESTHDR=$(TOOLTEST:=.h)
TOOLTESTSRC=$(TOOLTEST:=.cpp)
TOOLTESTOBJ=$(TOOLTESTSRC:.cpp=.o)
TOOLOBJ_NOMAIN=$(TOOLOBJ:Main.o=)

GenomeSequence_test.o: GenomeSequence_test.cpp ../GenomeSequence.h ../GenomeSequence.cpp
	$(CXX) $(CFLAGS) $(GTEST_COMPILE_FLAG) -o $@ -c $< -DVERSION="\"$(VERSION)\"" -DDATE="\"${DATE}\"" -DNODE="\"${NODE}\"" -DUSER="\"${USER}\"" -I$(GTEST_INC)

STLUtilities_test.o: STLUtilities_test.cpp ../STLUtilities.h ../STLUtilities.cpp
	$(CXX) $(CFLAGS) $(GTEST_COMPILE_FLAG) -std=c++0x -o $@ -c $< -DVERSION="\"$(VERSION)\"" -DDATE="\"${DATE}\"" -DNODE="\"${NODE}\"" -DUSER="\"${USER}\"" -I$(GTEST_INC)

TrimSequence_test.o: TrimSequence_test.cpp ../TrimSequence.h
	$(CXX) $(CFLAGS) $(GTEST_COMPILE_FLAG) -o $@ -c $< -DVERSION="\"$(VERSION)\"" -DDATE="\"${DATE}\"" -DNODE="\"${NODE}\"" -DUSER="\"${USER}\"" -I$(GTEST_INC)

GreedyTupleAligner_test.o: GreedyTupleAligner_test.cpp ../GreedyTupleAligner.h
	$(CXX) $(CFLAGS) $(GTEST_COMPILE_FLAG) -o $@ -c $< -DVERSION="\"$(VERSION)\"" -DDATE="\"${DATE}\"" -DNODE="\"${NODE}\"" -DUSER="\"${USER}\"" -I$(GTEST_INC)

Chromosome_test.o: Chromosome_test.cpp ../Chromosome.h
	$(CXX) $(CFLAGS) $(GTEST_COMPILE_FLAG) -o $@ -c $< -DVERSION="\"$(VERSION)\"" -DDATE="\"${DATE}\"" -DNODE="\"${NODE}\"" -DUSER="\"${USER}\"" -I$(GTEST_INC)

gtest_build: $(TOOLTESTOBJ) $(TOOLOBJ) $(GTEST_OBJ)
	g++  $(TOOLTESTOBJ) $(TOOLOBJ_NOMAIN) $(GTEST_OBJ) $(LIBRARY) -lm -lz -lssl -lpthread -lcrypto -o ./gtest ../../libStatGen_debug.a
gtest: gtest_build
	./gtest --gtest_color=yes

include $(MAKEFILES_PATH)/Makefile.footer

=== vcf/test/Makefile ===
EXE = vcfTest
TOOLBASE = VcfFileTest VcfHeaderTest
SRCONLY = Main.cpp
TEST_COMMAND = ./vcfTest && diff results/vcfHeader.vcf expected/vcfHeader.vcf && diff results/vcfHeaderAddedFirst.vcf expected/vcfHeader.vcf && diff results/vcfHeaderAddedLast.vcf expected/vcfHeader.vcf && diff results/vcfHeaderAddedMiddle.vcf expected/vcfHeader.vcf && diff results/vcfFile.vcf testFiles/vcfFile.vcf && diff results/vcfFileNoInfo.vcf expected/vcfFileNoInfo.vcf && diff results/vcfFileNoInfoBGZF.vcf expected/vcfFileNoInfoBGZF.vcf && diff results/vcfFileNoInfoKeepGT.vcf expected/vcfFileNoInfoKeepGT.vcf && diff results/vcfFileNoInfoKeepGQHQ.vcf expected/vcfFileNoInfoKeepGQHQ.vcf

include ../../Makefiles/Makefile.test

=== bam/examples/printRefPositions/Makefile ===
EXE = printRefPositions

SRCONLY = Main.cpp
TOOLBASE = PrintRefPositions

TEST_COMMAND = mkdir -p results; ./printRefPositions > results/test.txt; diff results/test.txt expected/test.txt

include ../../../Makefiles/Makefile.test

=== general/test/dbsnp/Makefile ===
PATH_TO_BASE=../../..
EXE = dbsnpTest
SRCONLY = Main.cpp

TEST_COMMAND=@mkdir -p results; ./dbsnpTest 2> results/results.txt && diff expected/results.txt results/results.txt

include ../../../Makefiles/Makefile.test

=== general/test/packedVectorTest/Makefile ===
PATH_TO_BASE=../../..
EXE = packedVectorTest
TOOLBASE = PackedVectorTest
TEST_COMMAND= ./packedVectorTest

include $(PATH_TO_BASE)/Makefiles/Makefile.test

obj/PackedVectorTest.o: PackedVectorTest.cpp ../../PackedVector.h

=== general/test/referenceSequenceTest/Makefile ===
PATH_TO_BASE=../../..
EXE = referenceSequenceTest
TOOLBASE = ReferenceSequenceTest
TEST_COMMAND= ./referenceSequenceTest

include $(PATH_TO_BASE)/Makefiles/Makefile.test

obj/PackedVectorTest.o: ReferenceSequenceTest.cpp ../../ReferenceSequence.h

=== general/test/string/Makefile ===
EXE = stringTest
TOOLBASE = StringTest

TEST_COMMAND=	mkdir -p results && \
	./stringTest

include ../../../Makefiles/Makefile.test

=== debian/changelog ===
libstatgen (1.0.14-7) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Adapt symbols to gcc-10
    Closes: #966954

 -- Andreas Tille <tille@debian.org>  Mon, 03 Aug 2020 22:32:36 +0200

libstatgen (1.0.14-6) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Adapt symbols file
    Closes: #952232

 -- Andreas Tille <tille@debian.org>  Sun, 23 Feb 2020 21:28:03 +0100

libstatgen (1.0.14-5) unstable; urgency=medium

  * Team upload.
  * Rebuild for new version of gcc to fix symbols
    Closes: #924819
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Mon, 18 Mar 2019 09:34:14 +0100

libstatgen (1.0.14-4) unstable; urgency=medium

  * Restrict arch to any-amd64 only, not design for other arches.
     (Closes: #914149)
  * Update symbols file.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 08 Dec 2018 17:20:08 +0100

libstatgen (1.0.14-3) unstable; urgency=medium

  * Update my email address.
  * Update symbols files.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 15 Nov 2018 23:31:13 +0100

libstatgen (1.0.14-2) unstable; urgency=medium

  * Team upload.
  * Remove erroneous deletes in Chromosome constructor.
    Closes: #905368
  * Standards-Version: 4.2.1
  * Update symbols file

 -- Andreas Tille <tille@debian.org>  Thu, 20 Sep 2018 21:16:51 +0200

libstatgen (1.0.14-1) unstable; urgency=low

  * Initial release. (Closes: #900765)

 -- Dylan Aïssi <bob.dybian@gmail.com>  Tue, 05 Jun 2018 22:12:47 +0200

=== debian/control ===
Source: libstatgen
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               doxygen,
               libssl-dev,
               zlib1g-dev,
               d-shlibs
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/libstatgen
Vcs-Git: https://salsa.debian.org/med-team/libstatgen.git
Homepage: https://genome.sph.umich.edu/wiki/C++_Library:_libStatGen
Rules-Requires-Root: no

Package: libstatgen0
Architecture: any-amd64
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: processing and analyzing next generation sequencing and genotyping data library
 libStatGen is a library for statistical genetic programs. It includes some:
 A. General Operation Classes including: File/Stream I/O, String processing
  and Parameter Parsing.
 B. Statistical Genetic Specific Classes including: Handling Common file
  formats (Accessors to get/set values, Indexed access to BAM files) and
  some utility classes, including: 1. Cigar: interpretation and mapping
  between query and reference. 2. Pileup: structured access to data by
  individual reference position.
 .
 This package provides the shared library.

Package: libstatgen-dev
Architecture: any-amd64
Multi-Arch: same
Section: libdevel
Depends: libstatgen0 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libstatgen-doc
Description: development files for the libStatGen
 libStatGen is a library for statistical genetic programs. It includes some:
 A. General Operation Classes including: File/Stream I/O, String processing
  and Parameter Parsing.
 B. Statistical Genetic Specific Classes including: Handling Common file
  formats (Accessors to get/set values, Indexed access to BAM files) and
  some utility classes, including: 1. Cigar: interpretation and mapping
  between query and reference. 2. Pileup: structured access to data by
  individual reference position.
 .
 This package provides the development files for libstatgen.

Package: libstatgen-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Recommends: libstatgen-dev (>= ${source:Version})
Description: documentation files for the libStatGen
 libStatGen is a library for statistical genetic programs. It includes some:
 A. General Operation Classes including: File/Stream I/O, String processing
  and Parameter Parsing.
 B. Statistical Genetic Specific Classes including: Handling Common file
  formats (Accessors to get/set values, Indexed access to BAM files) and
  some utility classes, including: 1. Cigar: interpretation and mapping
  between query and reference. 2. Pileup: structured access to data by
  individual reference position.
 .
 This package provides the documentation files for libstatgen.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Define SONAME for shared library
LIBNAME=libStatGen
SONUMBER=0
LIBSHARED=${LIBNAME}.so.${SONUMBER}

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	# Build the shared library
	$(CXX) -shared -o ${LIBSHARED} */obj/*.o -fPIC -Wl,-soname,${LIBSHARED} $(LDFLAGS)
	# Build doxygen doc
	doxygen

override_dh_auto_install:
	mkdir -p debian/libstatgen-dev/usr/include/${LIBNAME}/
	cp -L include/* debian/libstatgen-dev/usr/include/${LIBNAME}/
	ln -s ${LIBSHARED} ${LIBNAME}.so
	d-shlibmove --commit \
                    --multiarch \
                    --devunversioned \
                    --exclude-a \
                    ${LIBNAME}.so

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libStatGen-$1\.tar\.gz/ \
  https://github.com/statgen/libStatGen/tags .*/v?(\d\S+)\.tar\.gz

## libstatgen 1.0.15

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.14
+VERSION ?= 1.0.15
 
 .PHONY: package

=== bam/Makefile ===
TOOLBASE = SamFileHeader SamFile GenericSamInterface SamInterface BamInterface SamRecord BamIndex SamHeaderHD SamHeaderPG SamHeaderRecord SamHeaderSQ SamHeaderRG SamHeaderTag SamValidation SamStatistics SamQuerySeqWithRefHelper SamFilter PileupElement PileupElementBaseQual SamReferenceInfo SamTags PosList CigarHelper SamRecordPool SamCoordOutput SamRecordHelper
HDRONLY = Pileup.h SamHelper.h SamFlag.h SamStatus.h

include ../Makefiles/Makefile.lib

=== fastq/Makefile ===
# Source File Set
TOOLBASE = FastQFile BaseCount BaseComposition FastQStatus

include ../Makefiles/Makefile.lib

=== general/Makefile ===
--- 
+++ 
@@ -8,7 +8,10 @@
   # an error, but allow unused results and variables for the
   # time being.
   #
-  USER_WARNINGS ?= -Werror $(shell if [ X$(CCVERSION) \> X4.2.0 ] ; then echo " -Wno-strict-overflow" ; fi)
+  # Disable format-truncation check because StringBasics specifically tests
+  # to make sure snprintf truncates as expected.
+  USER_WARNINGS ?= -Wno-format-truncation $(shell if [ X$(CCVERSION) \> X4.2.0 ] ; then echo " -Wno-strict-overflow" ; fi)
+#  USER_WARNINGS ?= -Werror $(shell if [ X$(CCVERSION) \> X4.2.0 ] ; then echo " -Wno-strict-overflow" ; fi)
 #-Wno-strict-overflow
 # -Wno-unused-variable $(shell if [ X$(CCVERSION) \> X4.2.0 ] ; then echo " -Wno-unused-result" ; fi)
 endif

=== glf/Makefile ===
TOOLBASE = GlfException GlfFile GlfHeader GlfRecord GlfRefSection GlfStatus

include ../Makefiles/Makefile.lib

=== samtools/Makefile ===
TOOLBASE = bgzf knetfile
HDRONLY = khash.h bam.h

include ../Makefiles/Makefile.lib

=== vcf/Makefile ===
TOOLBASE = VcfFile VcfFileReader VcfFileWriter VcfGenotypeField VcfGenotypeFormat VcfGenotypeSample VcfHeader VcfHelper VcfRecord VcfRecordField VcfRecordFilter VcfRecordGenotype VcfRecordInfo VcfSubsetSamples VcfRecordDiscardRules
HDRONLY = 

include ../Makefiles/Makefile.lib

=== bam/examples/Makefile ===
PATH_TO_BASE=../../..
include ../../Makefiles/Makefile.include

SUBDIRS = $(wildcard */)

# Build in all subdirectories.
#
# see http://www.gnu.org/software/make/manual/make.html#Phony-Targets
# for a way of improving the following:
#

.PHONY : clean $(SUBDIRS)

all: $(SUBDIRS)

$(SUBDIRS):
	(echo "building in directory $@"; $(MAKE) $(PARALLEL_MAKE) OPTFLAG="$(OPTFLAG)" --no-print-directory -C $@ ${RECURSIVE_TARGET})

test: RECURSIVE_TARGET = test
test: $(SUBDIRS)

clean: RECURSIVE_TARGET = clean
clean: $(SUBDIRS)

=== bam/test/Makefile ===
EXE = samTest
TOOLBASE = WriteFiles ValidationTest ReadFiles BamIndexTest ModifyVar Modify SamFileTest TestValidate TestEquals TestFilter ShiftIndels TestPileup TestPosList TestCigarHelper TestSamRecordPool TestSamCoordOutput TestSamRecordHelper
SRCONLY = Main.cpp
ifeq ($(ZLIB_AVAIL), 0)
TEST_COMMAND = ./test.sh noZlib
else
TEST_COMMAND = ./test.sh
endif

include ../../Makefiles/Makefile.test

=== glf/test/Makefile ===
EXE = glfTest

SRCONLY = Main.cpp
TOOLBASE = ReadFiles Validate WriteFiles

TEST_COMMAND = ./glfTest

include ../../Makefiles/Makefile.test

=== bam/examples/pileup/Makefile ===
EXE = pileup
SRCONLY = Main.cpp

TEST_COMMAND = ./pileup

include ../../../Makefiles/Makefile.test

=== general/test/baseUtilitiesTest/Makefile ===
EXE = baseUtilitiesTest
TOOLBASE = BaseUtilitiesTest

TEST_COMMAND=	./baseUtilitiesTest

include ../../../Makefiles/Makefile.test

=== debian/changelog ===
libstatgen (1.0.15-8) unstable; urgency=medium

  * d/rules: forcefully run LTO builds.
  * d/libstatgen1.symbols: refresh for LTO builds and gcc 14.
    The c++ filter format is notably dropped because (c++) markers do not
    seem to work well as (optional) symbols. (Closes: #1075208)
  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Sun, 25 Aug 2024 17:39:07 +0200

libstatgen (1.0.15-7) unstable; urgency=medium

  * Team upload.
  * d/*.symbols*: update to fix build failure with gcc 13.
    Several symbols having disappeared or having been introduced by the
    move to gcc 13 are most likely compiler leaked and shouldn't interfere
    with consumers of the library.  They are marked as (optional).
    Closes: #1042116
  * d/clean: remove leftover doxygen files.
  * d/control: declare compliance to standards version 4.6.2.

 -- Étienne Mollier <emollier@debian.org>  Thu, 24 Aug 2023 11:34:46 +0200

libstatgen (1.0.15-6) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.6.1 (routine-update)
  * Fix symbols file to match gcc-12 build
    Closes: #1016297

 -- Andreas Tille <tille@debian.org>  Thu, 04 Aug 2022 14:59:25 +0200

libstatgen (1.0.15-5) unstable; urgency=medium

  * Team upload.
  * Prevent parallel builds
    Closes: #1008444

 -- Andreas Tille <tille@debian.org>  Sun, 03 Apr 2022 10:05:06 +0200

libstatgen (1.0.15-4) unstable; urgency=medium

  * Team upload.
  * Source only upload.

 -- Étienne Mollier <emollier@debian.org>  Tue, 07 Dec 2021 22:54:22 +0100

libstatgen (1.0.15-3~0exp0) experimental; urgency=medium

  * Team upload.
  * SONAME bump from libstatgen0 to libstatgen1 (Closes: #996409)
  * d/copyright: update years
  * Add spelling.patch: fix typos caught by lintian

 -- Étienne Mollier <emollier@debian.org>  Thu, 02 Dec 2021 23:04:37 +0100

libstatgen (1.0.15-2) unstable; urgency=medium

  * Team upload.
  * Fix symbols file
    Closes: #997411
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)

 -- Andreas Tille <tille@debian.org>  Mon, 01 Nov 2021 17:52:40 +0100

libstatgen (1.0.15-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dpkg's buildtools.mk supply $(CC). (Closes: #989769)

  [ Dylan Aïssi ]
  * New upstream version
  * Remove merged patches
  * Standards-Version: 4.6.0
  * Disable dh_auto_test
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Fri, 17 Sep 2021 17:14:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libstatgen
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Dylan Aïssi <daissi@debian.org>
+Uploaders: Dylan Aïssi <daissi@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -8,13 +9,13 @@
                libssl-dev,
                zlib1g-dev,
                d-shlibs
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/libstatgen
 Vcs-Git: https://salsa.debian.org/med-team/libstatgen.git
 Homepage: https://genome.sph.umich.edu/wiki/C++_Library:_libStatGen
 Rules-Requires-Root: no
 
-Package: libstatgen0
+Package: libstatgen1
 Architecture: any-amd64
 Multi-Arch: same
 Section: libs
@@ -36,7 +37,7 @@
 Architecture: any-amd64
 Multi-Arch: same
 Section: libdevel
-Depends: libstatgen0 (= ${binary:Version}),
+Depends: libstatgen1 (= ${binary:Version}),
          ${misc:Depends}
 Suggests: libstatgen-doc
 Description: development files for the libStatGen

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,15 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
+-include /usr/share/dpkg/buildtools.mk
 
 # Define SONAME for shared library
 LIBNAME=libStatGen
-SONUMBER=0
+SONUMBER=1
 LIBSHARED=${LIBNAME}.so.${SONUMBER}
 
 %:
-	dh $@
+	dh $@ --no-parallel
 
 override_dh_auto_build:
 	dh_auto_build
@@ -26,3 +27,8 @@
                     --devunversioned \
                     --exclude-a \
                     ${LIBNAME}.so
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	echo "Build time test is not run here."
+endif
